<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">
<head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">

<meta name="generator" content="PHPDoctor 2RC4 (http://peej.github.com/phpdoctor/)">
<meta name="when" content="Fri, 15 Apr 2011 16:43:07 +0000">

<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css">
<link rel="start" href="../../../../overview-summary.html">

<title>tests/cases/data/php5-test.php (PHPDoctor)</title>

</head>
<body id="file" onload="parent.document.title=document.title;">

<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../../overview-files.html">Files</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../todo-list.html">Todo</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../../index.html" target="_top">Frames</a>
<a href="../../../../source/tests/cases/data/php5-test.php.html" target="_top">No frames</a>
</div>
<hr>

<h1>tests/cases/data/php5-test.php</h1>
<div class="comment" id="overview_description"><p>File level comment</p></div>

<hr>

<a name="line1"></a><pre><?php
<a name="line2"></a>/**
<a name="line3"></a> * File level comment
<a name="line4"></a> *
<a name="line5"></a> * @package PHPDoctor\Tests\FileLevel
<a name="line6"></a> */
<a name="line7"></a>
<a name="line8"></a>/**
<a name="line9"></a> * This is some text.
<a name="line10"></a> *
<a name="line11"></a> * A link to a fully qualified class {@link PHPDoctor\Tests\FileLevel\aPrivateInterface} somewhere else.
<a name="line12"></a> *
<a name="line13"></a> * A link to a non-qualified class {@link aPrivateInterface} somewhere else.
<a name="line14"></a> *
<a name="line15"></a> * A link to a non-existant class {@link aNonExistantClass} somewhere else.
<a name="line16"></a> *
<a name="line17"></a> * A link to a class in a non-existant package {@link PHPDoctor\aPrivateInterface} somewhere else.
<a name="line18"></a> *
<a name="line19"></a> * A link to an element in a fully qualified class {@link PHPDoctor\Tests\Data\aClass#aVar} somewhere else.
<a name="line20"></a> *
<a name="line21"></a> * A link to an element in a fully qualified class {@link PHPDoctor\Tests\Data\aClass::aVar} (alternative syntax) somewhere else.
<a name="line22"></a> *
<a name="line23"></a> * A link to an element with $ in a fully qualified class {@link PHPDoctor\Tests\Data\aClass#$aVar} somewhere else.
<a name="line24"></a> *
<a name="line25"></a> * A link to a method in a fully qualified class {@link PHPDoctor\Tests\Data\aClass#aFunction} somewhere else.
<a name="line26"></a> *
<a name="line27"></a> * A link to a rooted fully qualified class {@link \PHPDoctor\Tests\Data\aClass} somewhere else.
<a name="line28"></a> *
<a name="line29"></a> * A link to a method with parenthesis in a fully qualified class {@link PHPDoctor\Tests\Data\aClass#aFunction()} somewhere else.
<a name="line30"></a> *
<a name="line31"></a> * A link to a website {@link http://www.google.com} somewhere else.
<a name="line32"></a> *
<a name="line33"></a> * A link to a website {@link http://www.google.com Google} with a name.
<a name="line34"></a> *
<a name="line35"></a> * Another line
<a name="line36"></a> *
<a name="line37"></a> * @package PHPDoctor\Tests\Data
<a name="line38"></a> * @see aPrivateInterface Something else
<a name="line39"></a> * @todo More stuff
<a name="line40"></a> */
<a name="line41"></a>interface anInterface {
<a name="line42"></a>	
<a name="line43"></a>	const aConst = 'const';
<a name="line44"></a>	
<a name="line45"></a>	/**
<a name="line46"></a>	 * Some words about this constant
<a name="line47"></a>	 *
<a name="line48"></a>	 * @var int
<a name="line49"></a>	 */
<a name="line50"></a>	const anIntConst = 0;
<a name="line51"></a>	
<a name="line52"></a>	/**
<a name="line53"></a>	 * @var int
<a name="line54"></a>	 * @access private
<a name="line55"></a>	 */
<a name="line56"></a>	const aPrivateIntConst = 0;
<a name="line57"></a>	
<a name="line58"></a>	const multipleConsts1 = 1, multipleConsts2 = 2, multipleConsts3 = 3;
<a name="line59"></a>	
<a name="line60"></a>}
<a name="line61"></a>
<a name="line62"></a>/**
<a name="line63"></a> * This is aClass that implements anInterface. This is a second part of the
<a name="line64"></a> * docComment to be part of the long description after the first fullstop.
<a name="line65"></a> *
<a name="line66"></a> * This line however should always be only in the long description.
<a name="line67"></a> *
<a name="line68"></a> * @package PHPDoctor\Tests\Data
<a name="line69"></a> */
<a name="line70"></a>class aClass implements anInterface {
<a name="line71"></a>	
<a name="line72"></a>    const booleanClassConstant = TRUE;
<a name="line73"></a>    const stringClassConstant = 'str';
<a name="line74"></a>    const integerClassConstant = 3;
<a name="line75"></a>    
<a name="line76"></a>	var $aVar;
<a name="line77"></a>	
<a name="line78"></a>	/**
<a name="line79"></a>	 * @var int
<a name="line80"></a>	 */
<a name="line81"></a>	var $anIntVar;
<a name="line82"></a>	
<a name="line83"></a>	/**
<a name="line84"></a>	 * @var int
<a name="line85"></a>	 * @access private
<a name="line86"></a>	 */
<a name="line87"></a>	var $aPrivateIntVar;
<a name="line88"></a>	
<a name="line89"></a>	var $multipleVars1 = 1, $multipleVars2, $multipleVars3 = 3;
<a name="line90"></a>	
<a name="line91"></a>	var $aVarWithValue = 1;
<a name="line92"></a>    
<a name="line93"></a>    var $aVarWithStringValue = "one";
<a name="line94"></a>	
<a name="line95"></a>	var $anArrayVar = array(4, 5, 6);
<a name="line96"></a>	
<a name="line97"></a>	var $varContainingHTMLToEscape = '<strong>Escape me</strong>';
<a name="line98"></a>	
<a name="line99"></a>	function aClass() {}
<a name="line100"></a>	
<a name="line101"></a>	/**
<a name="line102"></a>	 * This is a method of the class aClass
<a name="line103"></a>	 *
<a name="line104"></a>	 * @throws Exception
<a name="line105"></a>	 */
<a name="line106"></a>	function aMethod() {
<a name="line107"></a>		/**
<a name="line108"></a>		 * @var int
<a name="line109"></a>		 */
<a name="line110"></a>		define('THREE', 3);
<a name="line111"></a>	}
<a name="line112"></a>	
<a name="line113"></a>	function aMethodWithParams($one, $two) {}
<a name="line114"></a>	
<a name="line115"></a>	/**
<a name="line116"></a>	 * @access private
<a name="line117"></a>	 * @param str one
<a name="line118"></a>	 * @param int two
<a name="line119"></a>	 * @return bool
<a name="line120"></a>	 */
<a name="line121"></a>	function aPrivateMethodWithParams($one, $two) {}
<a name="line122"></a>	
<a name="line123"></a>	function aMethodWithGuessedParamTypes($stringParam = 'string', $integerParam = 2, $booleanParam = TRUE) {}
<a name="line124"></a>	
<a name="line125"></a>}
<a name="line126"></a>
<a name="line127"></a>/**
<a name="line128"></a> * @package PHPDoctor\Tests\Data
<a name="line129"></a> */
<a name="line130"></a>class childClass extends aClass {
<a name="line131"></a>    
<a name="line132"></a>    function __construct($foo, $bar = NULL) {}
<a name="line133"></a>    function __destruct() {}
<a name="line134"></a>    
<a name="line135"></a>}
<a name="line136"></a>
<a name="line137"></a>require_once 'php5-test2.php';
<a name="line138"></a>class duplicateClass extends PHPDoctor\Tests\MyNamespace\duplicateClass {}
<a name="line139"></a>
<a name="line140"></a>
<a name="line141"></a>function aFunction() { }
<a name="line142"></a>function aFunctionWithParams($one, $two) { }
<a name="line143"></a>function aFunctionWithTypeHints(int $three, string $four) {}
<a name="line144"></a>function &functionThatReturnsAReference() {}
<a name="line145"></a>
<a name="line146"></a>/**
<a name="line147"></a> * @namespace PHPDoctor\Tests\Data
<a name="line148"></a> */
<a name="line149"></a>class anotherClassWithSameMemberAsAnotherClass {
<a name="line150"></a>    var $aVarWithValue = 2;
<a name="line151"></a>    
<a name="line152"></a>    /**
<a name="line153"></a>     * This is a
<a name="line154"></a>     * multi-line description
<a name="line155"></a>     * @param str foo This
<a name="line156"></a>                      is
<a name="line157"></a>     **               foo
<a name="line158"></a>     * @return str And a multi-line
<a name="line159"></a>     *             tag description
<a name="line160"></a>     */
<a name="line161"></a>    function aFunction($foo) {
<a name="line162"></a>	}
<a name="line163"></a>
<a name="line164"></a>}
<a name="line165"></a>
<a name="line166"></a>
<a name="line167"></a>/**
<a name="line168"></a> * Duplicate interface name in a different namespace
<a name="line169"></a> *
<a name="line170"></a> * @package PHPDoctor\Tests\MyNamespace
<a name="line171"></a> */
<a name="line172"></a>interface anInterface { }
<a name="line173"></a>
<a name="line174"></a>/**
<a name="line175"></a> * This class implements the namespaced interface PHPDoctor\Tests\MyNamespace\anInterface
<a name="line176"></a> */
<a name="line177"></a>class implementAnExternalInterface implements PHPDoctor\Tests\MyNamespace\anInterface { }
<a name="line178"></a>
<a name="line179"></a>define('CONSTANT', 1);
<a name="line180"></a>define( 'CONSTANT2' , 2 );
<a name="line181"></a>define(  'CONSTANT3'  ,  'three'  );
<a name="line182"></a>
<a name="line183"></a>class myException extends Exception { }
<a name="line184"></a>
<a name="line185"></a>/**
<a name="line186"></a> * This is a function that throws a custom exception
<a name="line187"></a> *
<a name="line188"></a> * @throws myException Some kind of exception occurred
<a name="line189"></a> */
<a name="line190"></a>function customExceptionThrower() { }
<a name="line191"></a>
<a name="line192"></a>/**
<a name="line193"></a> * Test inheriting of class doccomments 
<a name="line194"></a> */
<a name="line195"></a>class inheritTest {
<a name="line196"></a>    
<a name="line197"></a>    /**
<a name="line198"></a>     * Test inheriting of field doccomments 
<a name="line199"></a>     */
<a name="line200"></a>    var $aField;
<a name="line201"></a>    
<a name="line202"></a>    /**
<a name="line203"></a>     * Test inheriting of method doccomments 
<a name="line204"></a>     */
<a name="line205"></a>    function aMethod() { }
<a name="line206"></a>    
<a name="line207"></a>}
<a name="line208"></a>
<a name="line209"></a>/**
<a name="line210"></a> * A child class doccomment
<a name="line211"></a> *
<a name="line212"></a> * {@inheritDoc}
<a name="line213"></a> */
<a name="line214"></a>class inheritTestChild extends inheritTest {
<a name="line215"></a>    
<a name="line216"></a>    /**
<a name="line217"></a>     * Parent field comment is: {@inheritDoc}
<a name="line218"></a>     */
<a name="line219"></a>    var $aField;
<a name="line220"></a>    
<a name="line221"></a>    /**
<a name="line222"></a>     * Parent method comment is: {@inheritDoc}
<a name="line223"></a>     */
<a name="line224"></a>    function aMethod() { }
<a name="line225"></a>    
<a name="line226"></a>}
<a name="line227"></a>
<a name="line228"></a>/**
<a name="line229"></a> * Test inheriting of interface doccomments 
<a name="line230"></a> */
<a name="line231"></a>interface inheritInterfaceTest {
<a name="line232"></a>    
<a name="line233"></a>    /**
<a name="line234"></a>     * Test inheriting of interface field doccomments 
<a name="line235"></a>     */
<a name="line236"></a>    var $anInterfaceField;
<a name="line237"></a>    
<a name="line238"></a>    /**
<a name="line239"></a>     * Test inheriting of interface method doccomments
<a name="line240"></a>     *
<a name="line241"></a>     * @throws myInterfaceException
<a name="line242"></a>     */
<a name="line243"></a>    function anInterfaceMethod();
<a name="line244"></a>    
<a name="line245"></a>}
<a name="line246"></a>
<a name="line247"></a>/**
<a name="line248"></a> * A child class doccomment
<a name="line249"></a> *
<a name="line250"></a> * {@inheritDoc}
<a name="line251"></a> */
<a name="line252"></a>class inheritTestImplements implements inheritInterfaceTest {
<a name="line253"></a>    
<a name="line254"></a>    /**
<a name="line255"></a>     * Parent field comment is: {@inheritDoc}
<a name="line256"></a>     */
<a name="line257"></a>    var $anInterfaceField;
<a name="line258"></a>    
<a name="line259"></a>    /**
<a name="line260"></a>     * Parent method comment is: {@inheritDoc}
<a name="line261"></a>     */
<a name="line262"></a>    function anInterfaceMethod() { }
<a name="line263"></a>    
<a name="line264"></a>}
<a name="line265"></a>
<a name="line266"></a>?>
<a name="line267"></a></pre>
<div class="header">
<h1>PHPDoctor</h1>
<ul>
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li>Package</li><li>Class</li><li>Tree</li><li><a href="../../../../overview-files.html">Files</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../todo-list.html">Todo</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
</ul>
</div>

<div class="small_links">
<a href="../../../../index.html" target="_top">Frames</a>
<a href="../../../../source/tests/cases/data/php5-test.php.html" target="_top">No frames</a>
</div>
<hr>

<p id="footer">This document was generated by <a href="http://peej.github.com/phpdoctor/">PHPDoctor: The PHP Documentation Creator</a></p>

</body>

</html>